package nl.amis.ejb30.als;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;

public class LibraryClient {
    public LibraryClient() {
    }

    public static void main(String[] args) {
        LibraryService library = new LibraryService();

        System.out.println("List all Books:");
        Collection<Book> books = library.findAllBooks();
        for (Book book : books) { 
          System.out.println(book.getTitle()
                   + " published by "+book.getPublisher().getName());
        }        

        // SEQ generation
        if (true) {
        Publisher publisher = new Publisher();
        //   publisher.setId(new Long(44));
        publisher.setName("My Publishing House");
        library.savePublisher(publisher);
        System.out.println("The Id for this new Publisher "+publisher.getId());
        }
        // VERSION
        if (false) {
        Publisher publisher = new Publisher();
        publisher.setName("My Publishing House");
        library.savePublisher(publisher);
        System.out.println("Its version is set to "+publisher.getVersion());
        
        publisher.setWebsite("www.greatbooks-inc.com");
        library.changePublisher(publisher);

        // now update the Publisher again   
        /*
           // this "refresh" is used to update the version attribute  
           // without it, the version attribute will differ from the value in 
           // the VERSION column which will cause the update to fail!
           //publisher = library.findPublisher(publisher.getId());

        publisher.setWebsite("www.evengreaterbooks-inc.com");
        library.changePublisher(publisher);
        System.out.println("Its version is set to "+publisher.getVersion());
        */
        }

    }
}
