package nl.amis.ejb30.als;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;

public class LibraryClient {
    public LibraryClient() {
    }

    public static void main(String[] args) {
        LibraryService library = new LibraryService();
       System.out.println("List all Authors:");
        Collection<Author> authors = library.findAllAuthors();
        for (Author author : authors) { 
          System.out.println(author.getFirstName()+"  "+author.getLastName());
        }        


        System.out.println("List all Publishers");
        Collection<Publisher> publishers = library.findAllPublishers();
        for (Publisher publisher : publishers) { 
          System.out.println(publisher.getName());
        }        
    }
}
