package nl.amis.ejb30.als;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;

public class LibraryClient {
    public LibraryClient() {
    }

    public static void main(String[] args) {
        LibraryService library = new LibraryService();


        Publisher publisher = new Publisher();
        publisher.setId(new Long(40));
        publisher.setName("My Publishing House");
        library.savePublisher(publisher);

        publisher.setWebsite("www.greatbooks-inc.com");
        library.changePublisher(publisher);

        // now remove the new Publishers
        library.startTransaction();
        library.removePublisher(library.findPublisher(new Long(40)));
        library.endTransaction();
        Publisher p = library.createPublisher(new Long(45), "Great Books Inc.");     
        // now remove the new Publisher
        library.startTransaction();
        library.removePublisher(p);
        library.endTransaction();

        Publisher p2 = library.createPublisher(new Long(50), "Great Books Inc.");     
        // now remove the new Publisher
        library.startTransaction();
        library.removePublisher( new Publisher(new Long(50)));
        library.endTransaction();


    }
}
